﻿.dir_rtl {
    direction: rtl;
    text-align: right;
}

.dir_rtl .header-share-area .header-share-area__button-icon {
    margin-right: 10px;
    margin-left: unset;
}

.dir_rtl .lang-selector-globe .lang-selector-globe__lang {
    margin-right: 5px;
    margin-left: unset;
}

.dir_rtl .header-share-area-window .header-share-area-window__social-item {
    margin-left: 24px;
    margin-right: unset;
}

.dir_rtl .lang-selector-globe-window {
    right: unset;
    left: 0;
}

.dir_rtl .portal-auth-bitrix24-window {
    left: 0;
    right: unset;
}

.dir_rtl .round-popup-window .round-popup-window__close {
    left: 10px;
    right: unset;
}

.dir_rtl .bxst-features-slider-dots {
    direction: ltr;
}

.dir_rtl .bxst-features-slider-wrapp {
    direction: ltr;
}

.dir_rtl .bxst-features-slider-wrapp .bxst-features-slider-item {
    direction: rtl;
}

.dir_rtl .bxst-nearest-event-slim-banner .bxst-nearest-event-slim-banner-calendar:before {
    margin-left: 19px;
    margin-right: unset;
}

.dir_rtl .bxst-nearest-event-slim-banner .bxst-nearest-event-slim-banner-calendar {
    margin-left: 18px;
}

.dir_rtl .article-slider-list {
    direction: ltr;
}

.dir_rtl .article-slider-list .article-slider-list__item:nth-child(n) {
    direction: rtl;
}

.dir_rtl .bxst-simple-content-area.reverse {
    flex-direction: row;
}

.dir_rtl .bxst-simple-content-area-content {
    text-align: right;
}

.dir_rtl .bxst-simple-content-area .bxst-block-title {
    text-align: right;
}

.dir_rtl .footer-social-network .footer-social-network__item {
    margin-left: 20px;
    margin-right: unset;
}

.dir_rtl .footer-search .footer-search__submit {
    left: 15px;
    right: unset;
}

.dir_rtl .footer-search .footer-search__input {
    padding: 10px 24px 10px 50px;
}

.dir_rtl .footer-main-menu-section .footer-main-menu-section__icon:before {
    transform: rotate(-45deg);
}

.dir_rtl .footer-main-menu-section .footer-main-menu-section__icon:after {
    transform: rotate(45deg);
}

@media (max-width: 992px) {
    .dir_rtl .bxst-image-banner-primary .bxst-image-banner-primary-media_device .bxst-image-banner-primary-image-picture {
        position: absolute;
        right: 0;
    }
}

@media (max-width: 991.98px) {
    .dir_rtl .lang-selector-globe-window .lang-selector-globe-window__popup {
        right: 50%;
        left: unset;
        transform: translate(50%, -50%);
    }

    .dir_rtl .round-popup-window .round-popup-window__close {
        left: unset;
        right: 10px;
    }

    .dir_rtl .portal-auth-bitrix24-window .portal-auth-bitrix24-window__popup {
        right: 50%;
        left: unset;
        transform: translate(50%, -50%);
    }
}

@media (max-width: 768px) {
    .dir_rtl .bxst-simple-content-area.reverse {
        -webkit-flex-direction: column-reverse;
        -ms-flex-direction: column-reverse;
        flex-direction: column-reverse;
    }
}


/* //////////////////////////////// pricing */
.dir_rtl .bx-sb-price-table .bx-sb-price-table__body-user-more_fire:before {
    margin-left: 3px;
    margin-right: -7px;
}
.dir_rtl .bx-sb-price-table .bx-sb-price-table__selection {
    text-align: right;
}
.dir_rtl .bx-sb-price-table .bx-sb-price-table__selector {
    background-position: 5% 50%;
}
.dir_rtl .bx-sb-price-table .bx-sb-price-table__tooltip-hover {
    margin-right: 5px;
    margin-left: unset;
}
.dir_rtl  .bx-sb-price-table .bx-sb-price-table__sidebar .bx-sb-price-table__tooltip,
.dir_rtl .bx-sb-price-table .bx-sb-price-table__sidebar .bx-sb-price-table__tooltip:before,
.dir_rtl .bx-sb-price-table .bx-sb-price-table__sidebar .bx-sb-price-table__tooltip:after {
    text-align: right;
}
.dir_rtl .bx-sb-price-table .bx-sb-price-table__epilog-description-item:first-child {
    margin-right: 0;
    margin-left: unset;
}
.dir_rtl .bx-sb-price-table .bx-sb-price-table__epilog-description-item .bx-sb-price-table__battery-icon {
    margin-left: 10px;
    margin-right: unset;
}
.dir_rtl .bx-sb-features-table__open-icon {
    margin: 0 0 0 10px;
}
.dir_rtl .bx-sb-features-table__tooltip-hover {
    margin-right: 5px;
    margin-left: unset;
}

.dir_rtl .bx-sb-features-table__tooltip:before,
.dir_rtl .bx-sb-features-table__tooltip:after {
    right: 10px;
    left: unset;
}

.dir_rtl .bx-sb-features-table__tooltip {
    text-align: right;
}

.dir_rtl .bx-sb-features-table__sidebar-subtitle-message {
    text-align: right;
}
.dir_rtl .bx-sb-features-table__sidebar-title-message {
    text-align: right;
}
.dir_rtl .bx-sb-features-table__epilog {
    margin-right: 220px;
    margin-left: unset;
}
.dir_rtl .bxst-section-header-menu-select .bxst-section-header-menu-select-icon {
    right: unset;
    left: 15px;
}
.dir_rtl .bxst-section-header-menu-select .bxst-section-header-menu-select-icon:before {
    transform: rotate(-45deg);
}
.dir_rtl .bxst-section-header-menu-select .bxst-section-header-menu-select-icon:after {
    transform: rotate(45deg);
}

@media (min-width: 1200px) {
    .dir_rtl .bx-sb-price-table .bx-sb-price-table__body-user-more_fire:before {
        margin-right: -7px;
        margin-left: 3px;
    }

    .dir_rtl .bx-sb-price-table .bx-sb-price-table__sidebar .bx-sb-price-table__tooltip {
        right: 0;
        left: unset;
    }
    .dir_rtl .bx-sb-price-table .bx-sb-price-table__sidebar .bx-sb-price-table__tooltip:before {
        right: 10px;
        left: unset;
    }
    .dir_rtl .bx-sb-price-table .bx-sb-price-table__sidebar .bx-sb-price-table__tooltip:after {
        left: unset;
        right: 12px;
    }
    .dir_rtl .bx-sb-price-table .bx-sb-price-table__epilog-description {
        margin-right: 220px;
        margin-left: unset;
    }
}

/* ///////////////////////////////////////  On-premise  */
.dir_rtl .bxst-prices-table .bxst-prices-table-sidebar .bxst-prices-table-icon:before {
    margin-left: 8px;
    margin-right: unset;
}

.dir_rtl .bxst-prices-table .bxst-prices-table-sidebar-column-item {
    margin: 5px 0 0 25px;
}
.dir_rtl .bxst-prices-table .bxst-prices-table-sidebar {
    text-align: right;
}
.dir_rtl .bxst-prices-table .bxst-prices-table-arrow {
    justify-content: flex-start;
}
.dir_rtl .bxst-prices-table .bxst-prices-table-sidebar .bxst-prices-table-icon {
    direction: rtl;
}
@media (max-width: 992px) {
    .dir_rtl .bxst-prices-table-main-section .bxst-section-cnt {
        padding-left: 0;
        padding-right: 15px;
    }
    .dir_rtl .bxst-prices-table {
        direction: ltr;
    }
    .dir_rtl .bxst-prices-table .bxst-prices-table-sidebar {
        border-left: 2px solid #dee2e6;
        border-right: unset; 
        right: 0;
        order: 1;
    }
}

/* //////////////////////////// blog */
.dir_rtl .blog-post-banner-item .blog-post-banner-item__title .bx-ui-title {
    text-align: right;
}
.dir_rtl .bxst-select:before {
    left: 12px;
    right: unset;
}
.dir_rtl .bxst-select.bxst-select-phantom .bxst-select-phantom-body {
    padding: 0 12px 0 29px;
}
.dir_rtl .page-navigation .page-navigation__prev .prev-icon:before,
.dir_rtl .page-navigation .page-navigation__prev .next-icon:before,
.dir_rtl .page-navigation .page-navigation__next .prev-icon:before,
.dir_rtl .page-navigation .page-navigation__next .next-icon:before {
    transform: rotate(-45deg);
}
.dir_rtl .page-navigation .page-navigation__prev .prev-icon:after,
.dir_rtl .page-navigation .page-navigation__prev .next-icon:after,
.dir_rtl .page-navigation .page-navigation__next .prev-icon:after,
.dir_rtl .page-navigation .page-navigation__next .next-icon:after {
    transform: rotate(45deg);
}
.dir_rtl .page-navigation .page-navigation__next .next-icon {
    margin-right: 5px;
    margin-left: unset;
}

@media (min-width: 576px) {
    .dir_rtl .blog-post-list .blog-post-list__item-category {
        text-align: left;
    }
}

/* ////////////////////////////// Post */
.dir_rtl .blog-post-detail .blog-post-detail__title .bx-ui-title {
    text-align: right;
}

.dir_rtl .blog-post-detail .blog-post-detail__author-picture {
    margin-left: 10px;
    margin-right: unset;
}

.dir_rtl .x-button.m-blue-border.m-arrow:after {
    left: 13px;
    right: unset;
    transform: rotate(180deg);
}
.dir_rtl .x-button.m-blue-border.m-arrow {
    padding-left: 36px;
    padding-right: 9px;
}


.dir_rtl .helpdesk-article-warning-ver-1:before,
.dir_rtl .helpdesk-article-warning:before,
.dir_rtl .helpdesk-article-hint:before,
.dir_rtl .helpdesk-article-note:before,
.dir_rtl .helpdesk-article-tip:before {
    right: -6px;
    left: unset;
}

.dir_rtl .hdsp-topics-section-sidebar-item-links-list-item:before {
    margin-right: -1.125em;
    margin-left: .75em;
}

.dir_rtl .hdsp-info-author-block-text:before {
    right: -30px;
    left: unset;
}

@media (max-width: 1000px) {
    .dir_rtl .hdsp-info-author-block-text:before {
        display: none;
    }
}